- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# mysqlpp::BadFieldName Class Reference

Exception thrown when a requested named field doesn't exist. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadFieldName:

[legend]
Collaboration diagram for mysqlpp::BadFieldName:

[legend]
List of all members.

## Public Member Functions
| BadFieldName (const char *bad_field)
| Create exception object.
| ~BadFieldName () throw ()
| Destroy exception.

## Detailed Description

Exception thrown when a requested named field doesn't exist.

Thrown by Row::lookup_by_name() when you pass a field name that isn't in the result set.

## Constructor & Destructor Documentation

mysqlpp::BadFieldName::BadFieldName | ( | const char * | bad_field | ) | `[inline, explicit]`

Create exception object.

Parameters:

  | bad_field | name of field the database server didn't like

The documentation for this class was generated from the following file:

- exceptions.h